Subject: Re: bug#53736: Guix pull on aarch64 fails

From: phodina <[email-masked]>
Date: Thu, 03 Feb 2022 21:25:26 +0000

On Thursday, February 3rd, 2022 at 1:45 PM, Maxime Devos <[email-masked]> wrote:

> FWIW, bordeaux.guix.gnu.org has a substitute for mariadb aarch64-linux.
>
> Greetings,
>
> Maxime

Thanks Maxime, I've added the substitute but it appears the mariadb is still rebuilding.

I've done these steps:

# guix archive --authorize < bordeaux.guix.gnu.org.pub

Modify systemd service in /etc/systemd/system/guix-daemon.service:

ExecStart=/var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --build-users-group=guixbuild --substitute-urls='https://bordeaux.guix.gnu.org https://ci.guix.gnu.org'

And restarted the service:
# systemctl restart guix-daemon

Anyway, the substitute there is either unavailable or I did something incorrectly based on the documentation [1].

So back to the main issue as I kept the failed derivation:

$ cd /tmp/guix-build-mariadb-10.5.12.drv-1/
$ find -iname gen_lex_hash
./build/sql/gen_lex_hash
$ ls -al ./build/sql/gen_lex_hash
Permissions Size User     Date Modified Name
.rwxr-xr-x   97k cylon2p0  3 úno 21:02   ./build/sql/gen_lex_hash
$ source environment-variables
-bash: silver: command not found

The bash is not responding after sourcing the environment. Is there an issue running it on foreign distro?

Also the file gen_lex_hash is present in the build dir and has the executable permissions.

[1] https://guix.gnu.org/manual/en/html_node/Getting-Substitutes-from-Other-Servers.html

----
Petr